/dealCustomFields

List all deals custom fields available in your account.

This endpoint will give you a list of all deal custom fields available in the account you're connected to.

For each custom field the values returned are:

  • label: The label used for this custom field in the Follow Up Boss web and mobile apps
  • name: The name of this custom field in API responses. This is also name you should use if you wish to update a custom field on a person or send in a custom field with a new lead.
  • type: Currently we support four types of custom fields (text, date, number, dropdown).
  • *choices:" If the field is a dropdown, then this list of choices are the only valid values for the custom field.
  • order_weight: The value used during sorting to order the fields in the user interface.
  • hide_if_empty: Determines whether the field is hidden when empty.
  • read_only: Determines whether the field is read only.

📘

How to send in Deals Custom Field data

When sending deals custom field data via POST to /v1/dealCustomFields or PUT to /v1/dealCustomFields/:id make sure to use the name field returned here. So for example to send a value for "Close Price", use the field name customClosePrice in the request body.

Query Params
int32
Defaults to 10

Number of results to return. Max 100.

int32
Defaults to 0

Specifies the number of rows to skip, before starting to return results.

string

Find custom field by label.

string
enum
Defaults to id (desc)

Sorts results based on the provided field name. Prepending the field with a minus sign (-) sorts the results in descending order.

Allowed:
Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json